Skip to main content
GET
/
api
/
apis
/
oas
/
{apiId}
/
versions
List OAS API versions.
curl --request GET \
  --url https://{tenant}/api/apis/oas/{apiId}/versions \
  --header 'Authorization: Bearer <token>'
{
  "apis": [
    {
      "expirationDate": "2024-11-30 12:00",
      "id": "5b633de8673e40e44bc88b6b248f0937",
      "internal": false,
      "isDefaultVersion": true,
      "name": "user",
      "versionName": "Default"
    },
    {
      "expirationDate": "2024-11-30 12:00",
      "id": "0fec4eb890cf4b8c5cb6fc011456c315",
      "internal": false,
      "isDefaultVersion": false,
      "name": "user",
      "versionName": "v2"
    }
  ],
  "pages": 1
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

apiId
string
required

ID of the API you want to fetch.

Query Parameters

searchText
string

Search for API version name.

accessType
enum<string>

Filter for internal or external API versions.

Available options:
internal,
external

Response

Version fetched.

apis
object[] | null
pages
integer